package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.List;

/**
 * @Author Gwl·Q
 * @ClassName OrderRefundDetailsQuery
 * @Date 2020/12/7 1:52 PM
 */
public class OrderRefundDetailsQuery extends BasePageQuery {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 退款单号
     */
    private String refundNo;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 支付类型
     */
    private List<Integer> payTypeList;

    /**
     * 退款单号列表
     */
    private List<String> refundNoList;

    public List<String> getRefundNoList() {
        return refundNoList;
    }

    public void setRefundNoList(List<String> refundNoList) {
        this.refundNoList = refundNoList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public List<Integer> getPayTypeList() {
        return payTypeList;
    }

    public void setPayTypeList(List<Integer> payTypeList) {
        this.payTypeList = payTypeList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
